org.crosswire.common.util

## Class ReporterEvent

- java.lang.Object
- - java.util.EventObject
  - - org.crosswire.common.util.ReporterEvent

- All Implemented Interfaces:
    Serializable

      public class ReporterEvent
      extends EventObject

  An event indicating that some bit of data needs capturing.
  Author:
    Joe Walker
  See Also:
    `The GNU Lesser General Public License for details.`, Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private Throwable` | `ex` The thing that went wrong
    `private String` | `message` The message that is being passed around
    `private static long` | `serialVersionUID` Serialization ID

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReporterEvent(Object source, String message)` Constructs an CaptureEvent object.
    `ReporterEvent(Object source, Throwable ex)` Constructs an CaptureEvent object.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Throwable` | `getException()` Returns the exception.
    `String` | `getMessage()` Returns the message.
    `String` | `getSourceName()` Returns a string specifying the source of the message.

    - ### Methods inherited from class java.util.EventObject

      `getSource, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ex

          private Throwable ex

      The thing that went wrong

    - #### message

          private String message

      The message that is being passed around

    - #### serialVersionUID

          private static final long serialVersionUID

      Serialization ID
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ReporterEvent

          public ReporterEvent(Object source,
                       Throwable ex)

      Constructs an CaptureEvent object.
      Parameters:
        `source` - The event originator (typically `this`)
        `ex` - An exception

    - #### ReporterEvent

          public ReporterEvent(Object source,
                       String message)

      Constructs an CaptureEvent object.
      Parameters:
        `source` - The event originator (typically `this`)
        `message` - An message to log

  - ### Method Detail

    - #### getSourceName

          public String getSourceName()

      Returns a string specifying the source of the message.
      Returns:
        The Source as a String

    - #### getException

          public Throwable getException()

      Returns the exception.
      Returns:
        the Exception

    - #### getMessage

          public String getMessage()

      Returns the message.
      Returns:
        the message